Last Comment Bug 589696 - Implement formnovalidate attribute for submit controls
: Implement formnovalidate attribute for submit controls
Status: RESOLVED FIXED
: dev-doc-complete, html5
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: mozilla2.0b7
Assigned To: Mounir Lamouri (:mounir)
:
Mentors:
Depends on: 561636 596636
Blocks: html5forms 566348
  Show dependency treegraph
 
Reported: 2010-08-22 20:05 PDT by Mounir Lamouri (:mounir)
Modified: 2010-09-27 14:27 PDT (History)
7 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
beta7+


Attachments
Patch v1 (15.47 KB, patch)
2010-09-08 18:53 PDT, Mounir Lamouri (:mounir)
bugs: review+
Details | Diff | Review

Description Mounir Lamouri (:mounir) 2010-08-22 20:05:35 PDT
Like the novalidate attribute form form elements, it lets the author to specify the form will not be validate when submitted with a specific submit control.
Comment 1 Mounir Lamouri (:mounir) 2010-08-22 20:09:55 PDT
This should be a blocker for 2.0. Even if it's probably less important than bug 556013, it would be better to ship form validation with this attribute to disable it.
Comment 2 Mounir Lamouri (:mounir) 2010-08-23 17:51:14 PDT
Jonas sets formnovalidate for beta6 so maybe we should move this one for beta6 too?
Comment 3 Mounir Lamouri (:mounir) 2010-09-08 18:53:39 PDT
Created attachment 473344 [details] [diff] [review]
Patch v1
Comment 4 Olli Pettay [:smaug] 2010-09-14 11:18:39 PDT
Comment on attachment 473344 [details] [diff] [review]
Patch v1

Terrible attribute name, but that is what the HTML5 draft has.
Comment 5 Mounir Lamouri (:mounir) 2010-09-14 19:00:30 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/e5fbc329a625

Note You need to log in before you can comment on or make changes to this bug.